# ImgCook Plugin For Adobe PhotoShop CC

* 具体文档：https://imgcook.taobao.org/docs?slug=install
* 版本支持：推荐 PhotoShop CC 2017及以上

## 1. 安装器安装

* Mac: 双击 imgcook.photoshop_version.pkg 文件，安装完毕后可重启 PhotoShop，在 Window -> Extensions 找到 imgcook 插件。
* Win: 双击 imgcook.photoshop_version.exe 文件，安装完毕后可重启 PhotoShop，在 Window -> Extensions 找到 imgcook 插件。

## 2. 手动安装

如果使用安装器安装出现异常问题（比如部分Win机器安装器可能会卡住），可尝试手动安装。

解压 imgcook.photoshop.zip 文件，根据各自的系统将解压后的目录文件放置到以下指定目录里，重启 PhotoShop 即可在 Window -> Extensions 找到 imgcook 插件。

* Mac OS: /Library/Application Support/Adobe/CEP/extensions/
* Windows x64: C:/Program Files (x86)/Common Files/Adobe/CEP/extensions/
* Windows x32: C:/Program Files/Common Files/Adobe/CEP/extensions/

## 3. 签署问题

因为插件没有在 Adobe 官方商店进行签署发布，需要开启 dev 模式来使用。

* Mac
  * CC 2015: defaults write com.adobe.CSXS.6 PlayerDebugMode 1
  * CC 2015.5: defaults write com.adobe.CSXS.7 PlayerDebugMode 1
  * CC 2017: defaults write com.adobe.CSXS.7 PlayerDebugMode 1
  * CC 2018: defaults write com.adobe.CSXS.8 PlayerDebugMode 1
* Windows
  * 打开注册表（运行 regedit）
  * 找到  HKEY_CURRENT_USER\Software\Adobe
  * 针对不同 CC 版本找到对应的 CSXS 项，比如 CC2017 对应 CSXS.7
  * 鼠标右键新建字符串值
  * 选中刚新建的字符串值注册表-鼠标右键-修改-数值名称：PlayerDebugMode 数值数据：1 

## 4. Windows 导出出现 undefined 问题

安装过程中 Node 依赖包传输出现问题，可以手动切换到插件安装目录，执行 `npm install` 再重启 PS

## 5. 其他问题

如果安装使用上还有其他问题可前往官方钉钉群答疑询问使用。