# ImgCook Plugin For Adobe PhotoShop CC

* Doc：https://imgcook.taobao.org/docs?slug=install
* Support version： PhotoShop CC 2017、CC 2018、CC 2019

## 1. Native Install

* Mac: Open imgcook.photoshop_version.pkg, restart PhotoShop，find imgcook plugin by `Window -> Extensions`.
* Win: Open imgcook.photoshop_version.exe, restart PhotoShop，find imgcook plugin by `Window -> Extensions`.

## 2. Manual Install

unzip `imgcook.photoshop.zip` file，put the folder to the plugin directory

* Mac OS: /Library/Application Support/Adobe/CEP/extensions/
* Windows x64: C:/Program Files (x86)/Common Files/Adobe/CEP/extensions/
* Windows x32: C:/Program Files/Common Files/Adobe/CEP/extensions/

## 3. Unsigned Problem

Follow the way to open the debug mode, and restart photoshop.

* Mac
  * CC 2015: defaults write com.adobe.CSXS.6 PlayerDebugMode 1
  * CC 2015.5: defaults write com.adobe.CSXS.7 PlayerDebugMode 1
  * CC 2017: defaults write com.adobe.CSXS.7 PlayerDebugMode 1
  * CC 2018: defaults write com.adobe.CSXS.8 PlayerDebugMode 1
* Windows
  * Open regedit
  * Find HKEY_CURRENT_USER\Software\Adobe
  * Find CC CSXS, CC2017 correspond to CSXS.7, CC2018 correspond to CSXS.8.
  * Create a new string key-value pair
  * Set PlayerDebugMode to 1 

## 4. Windows export error: undefined

Switch to plugin directory, run `npm install` and restart photoshop.

## 5. Other

Use DingTalk to tell us.